마스터Q&A 안드로이드는 안드로이드 개발자들의 질문과 답변을 위한 지식 커뮤니티 사이트입니다. 안드로이드펍에서 운영하고 있습니다. [사용법, 운영진]

Google Maps SDK1은 Android11 에서 사용할 수없다고하는데 아시는분?

0 추천

곧 Android 11이 출시되는데 출시시 Google 지도 SDK 1 버전을 쓸수없다고 하네요.

혹시이거 build.gradle 에서 'com.google.gms.google-services' 버전만 업데이트 시켜주면 해결될 문제일까요?

혹시 아시는분?

 

 

찬영2 (140 포인트) 님이 2020년 9월 8일 질문

1개의 답변

0 추천

 build.gradle 에서 'com.google.gms.google-services'  버전을 업데이트 했지만 나오는건 그대로 더군요...

저도 같은 상황을 겪고 있는데 

매니페스트 에서 

<meta-data
    android:name="com.google.android.geo.API_KEY"
    android:value="${MAPS_API_KEY}" />

이부분을 지웠더니 오류는 발생하지 않더군요... 하지만 지도 api를 쓰려면 저 메타데이터를 써야 되는데

다른분들은 어떻게 하셨는지 모르겠네요. 그냥 경고 무시하면서 올리고는 있습니다.

플레이스토어에서는 위 메타데이터를 감지하여 오류를 표시해주는 것으로 보입니다.

 

익명사용자 님이 6월 17일 답변
...